## GDataCalendarAccessRule

GDataCalendarAccessRule — GData Calendar access rule object

## Stability Level

Stable, unless otherwise indicated

## Functions

GDataCalendarAccessRule * | gdata_calendar_access_rule_new ()

## Types and Values

#define | GDATA_CALENDAR_ACCESS_ROLE_READ
#define | GDATA_CALENDAR_ACCESS_ROLE_FREE_BUSY
#define | GDATA_CALENDAR_ACCESS_ROLE_EDITOR
#define | GDATA_CALENDAR_ACCESS_ROLE_OWNER
#define | GDATA_CALENDAR_ACCESS_ROLE_ROOT
| GDataCalendarAccessRule
| GDataCalendarAccessRuleClass

## Object Hierarchy

        GObject
        ╰── GDataParsable
            ╰── GDataEntry
                ╰── GDataAccessRule
                    ╰── GDataCalendarAccessRule

## Includes

    #include <gdata/services/calendar/gdata-calendar-access-rule.h>

## Description

GDataCalendarAccessRule is a subclass of GDataAccessRule to represent an access rule affecting users of a shared calendar in Google Calendar.

## Functions

### gdata_calendar_access_rule_new ()

    GDataCalendarAccessRule *
    gdata_calendar_access_rule_new (const gchar *id);

Creates a new GDataCalendarAccessRule with the given ID and default properties.

#### Parameters

id | the access rule's ID, or `NULL` |

#### Returns

a new GDataCalendarAccessRule; unref with `g_object_unref()`.

[transfer full]

Since: 0.17.2

## Types and Values

### GDATA_CALENDAR_ACCESS_ROLE_READ

    #define GDATA_CALENDAR_ACCESS_ROLE_READ "http://schemas.google.com/gCal/2005#read"

The users specified by the GDataCalendarAccessRule have read-only access to the calendar.

Since: 0.7.0

### GDATA_CALENDAR_ACCESS_ROLE_FREE_BUSY

    #define GDATA_CALENDAR_ACCESS_ROLE_FREE_BUSY "http://schemas.google.com/gCal/2005#freebusy"

The users specified by the GDataCalendarAccessRule can only see the free/busy information on the calendar; not event details.

Since: 0.7.0

### GDATA_CALENDAR_ACCESS_ROLE_EDITOR

    #define GDATA_CALENDAR_ACCESS_ROLE_EDITOR "http://schemas.google.com/gCal/2005#editor"

The users specified by the GDataCalendarAccessRule have full edit access to the calendar, except they can’t change the calendar’s access rules.

Since: 0.7.0

### GDATA_CALENDAR_ACCESS_ROLE_OWNER

    #define GDATA_CALENDAR_ACCESS_ROLE_OWNER "http://schemas.google.com/gCal/2005#owner"

The users specified by the GDataCalendarAccessRule have full owner access to the calendar.

Since: 0.7.0

### GDATA_CALENDAR_ACCESS_ROLE_ROOT

    #define GDATA_CALENDAR_ACCESS_ROLE_ROOT "http://schemas.google.com/gCal/2005#root"

The users specified by the GDataCalendarAccessRule have full administrator access to the calendar server. This is only available in Google Apps For Your Domain.

Since: 0.7.0

### GDataCalendarAccessRule

    typedef struct _GDataCalendarAccessRule GDataCalendarAccessRule;

All the fields in the GDataCalendarAccessRule structure are private and should never be accessed directly.

Since: 0.17.2

### GDataCalendarAccessRuleClass

    typedef struct {
    } GDataCalendarAccessRuleClass;

All the fields in the GDataCalendarAccessRuleClass structure are private and should never be accessed directly.

Since: 0.17.2